Get Provider Gateway Connections

Get Provider Gateway Connections
Retrieves all the Centralized Connection Connections assignments.

Get all the Centralized Connections Connections assigned to the Regional Networking Setting.

Request
URI
GET
https://{api_host}/cloudapi/v1/regionalNetworkingSettings/{settingId}/providerGatewayConnections
COPY
Path Parameters
string
settingId
Required

settingId


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns ProviderGatewayConnections of type(s) application/json;version=9.1.0
{
    "values": [
        {
            "status": "string",
            "id": "string",
            "name": "string",
            "providerGatewayRef": {
                "name": "string",
                "id": "string"
            },
            "isDefault": false,
            "allowAdvertisingPrivateIpBlocks": false
        }
    ]
}

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/cloudapi/v1/regionalNetworkingSettings/{settingId}/providerGatewayConnections